com.google.gwt.user.cellview.client

## Class RowHoverEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<RowHoverEvent.Handler>
    - - com.google.gwt.user.cellview.client.RowHoverEvent

-     public class RowHoverEvent
      extends GwtEvent<RowHoverEvent.Handler>

  Represents a row hover event. The event includes change in the hovering row (e.g. the mouse moves over another row) and cell hover events (e.g. the mouse moves over another cell within the actual row).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `RowHoverEvent.Handler` Handler for `RowHoverEvent`.
    `static class` | `RowHoverEvent.HoveringScope` Indicates the scope/area of the hover event

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `GwtEvent.Type<H>`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RowHoverEvent(TableRowElement hoveringRow, boolean isUnHover)` Construct a new `RowHoverEvent`.
    `protected` | `RowHoverEvent(TableRowElement hoveringRow, Event browserEvent, boolean isUnHover)` Construct a new `RowHoverEvent`.
    `protected` | `RowHoverEvent(TableRowElement hoveringRow, Event browserEvent, boolean isUnHover, RowHoverEvent.HoveringScope hoveringScope)` Construct a new `RowHoverEvent`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(RowHoverEvent.Handler handler)` Should only be called by `HandlerManager`.
    `static RowHoverEvent` | `fire(HasHandlers source, TableRowElement hoveringRow, boolean isUnHover)` Fires a row hover event on all registered handlers in the handler manager.
    `static RowHoverEvent` | `fire(HasHandlers source, TableRowElement hoveringRow, Event browserEvent, boolean isUnHover)` Fires a row hover event on all registered handlers in the handler manager.
    `static RowHoverEvent` | `fire(HasHandlers source, TableRowElement hoveringRow, Event browserEvent, boolean isUnHover, RowHoverEvent.HoveringScope hoveringScope)` Fires a row hover event on all registered handlers in the handler manager.
    `GwtEvent.Type<RowHoverEvent.Handler>` | `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
    `Event` | `getBrowserEvent()` Return the original browser `Event`.
    `TableRowElement` | `getHoveringRow()` Return the `TableRowElement` that the user just hovered or unhovered.
    `RowHoverEvent.HoveringScope` | `getHoveringScope()` Return the scope/area of the hover event.
    `static GwtEvent.Type<RowHoverEvent.Handler>` | `getType()` Gets the type associated with this event.
    `boolean` | `isUnHover()` Return whether this is an unhover event.

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RowHoverEvent

          protected RowHoverEvent(TableRowElement hoveringRow,
                                  boolean isUnHover)

      Construct a new `RowHoverEvent`.
      Parameters:
        `hoveringRow` - the currently hovering `TableRowElement`. If isUnHover is true, this should be the previouly hovering `TableRowElement`
        `isUnHover` - true if this is an unhover event

    - #### RowHoverEvent

          protected RowHoverEvent(TableRowElement hoveringRow,
                                  Event browserEvent,
                                  boolean isUnHover)

      Construct a new `RowHoverEvent`.
      Parameters:
        `hoveringRow` - the currently hovering `TableRowElement`. If isUnHover is true, this should be the previouly hovering `TableRowElement`
        `browserEvent` - the original browser event
        `isUnHover` - true if this is an unhover event

    - #### RowHoverEvent

          protected RowHoverEvent(TableRowElement hoveringRow,
                                  Event browserEvent,
                                  boolean isUnHover,
                                  RowHoverEvent.HoveringScope hoveringScope)

      Construct a new `RowHoverEvent`.
      Parameters:
        `hoveringRow` - the currently hovering `TableRowElement`. If isUnHover is true, this should be the previouly hovering `TableRowElement`
        `browserEvent` - the original browser event
        `isUnHover` - true if this is an unhover event
        `hoveringScope` - the scope/area of the hover event

  - ### Method Detail

    - #### fire

          public static RowHoverEvent fire(HasHandlers source,
                                           TableRowElement hoveringRow,
                                           boolean isUnHover)

      Fires a row hover event on all registered handlers in the handler manager. If no such handlers exist, this implementation will do nothing.
      Parameters:
        `source` - the source of the event
        `hoveringRow` - the currently hovering `TableRowElement`. If isUnHover is true, this should be the previouly hovering `TableRowElement`
        `isUnHover` - true if this is an unhover event
      Returns:
        the `RowHoverEvent` that was fired

    - #### fire

          public static RowHoverEvent fire(HasHandlers source,
                                           TableRowElement hoveringRow,
                                           Event browserEvent,
                                           boolean isUnHover)

      Fires a row hover event on all registered handlers in the handler manager. If no such handlers exist, this implementation will do nothing.
      Parameters:
        `source` - the source of the event
        `hoveringRow` - the currently hovering `TableRowElement`. If isUnHover is true, this should be the previouly hovering `TableRowElement`
        `browserEvent` - the original browser event
        `isUnHover` - true if this is an unhover event
      Returns:
        the `RowHoverEvent` that was fired

    - #### fire

          public static RowHoverEvent fire(HasHandlers source,
                                           TableRowElement hoveringRow,
                                           Event browserEvent,
                                           boolean isUnHover,
                                           RowHoverEvent.HoveringScope hoveringScope)

      Fires a row hover event on all registered handlers in the handler manager. If no such handlers exist, this implementation will do nothing.
      Parameters:
        `source` - the source of the event
        `hoveringRow` - the currently hovering `TableRowElement`. If isUnHover is true, this should be the previouly hovering `TableRowElement`
        `browserEvent` - the original browser event
        `isUnHover` - true if this is an unhover event
        `hoveringScope` - the scope/area of the hover event
      Returns:
        the `RowHoverEvent` that was fired

    - #### getType

          public static GwtEvent.Type<RowHoverEvent.Handler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### getAssociatedType

          public GwtEvent.Type<RowHoverEvent.Handler> getAssociatedType()

      Description copied from class: `Event`
      Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
      Specified by:
        `getAssociatedType` in class `GwtEvent<RowHoverEvent.Handler>`
      Returns:
        the type

    - #### getBrowserEvent

          public Event getBrowserEvent()

      Return the original browser `Event`. The browser event could be null if the event is fired without one (e.g., by calling `#fire(HasHandler, TableRowElement, isUnHover)`)

    - #### getHoveringRow

          public TableRowElement getHoveringRow()

      Return the `TableRowElement` that the user just hovered or unhovered.

    - #### getHoveringScope

          public RowHoverEvent.HoveringScope getHoveringScope()

      Return the scope/area of the hover event.

    - #### isUnHover

          public boolean isUnHover()

      Return whether this is an unhover event.

    - #### dispatch

          protected void dispatch(RowHoverEvent.Handler handler)

      Description copied from class: `GwtEvent`
      Should only be called by `HandlerManager`. In other words, do not use or call.
      Specified by:
        `dispatch` in class `GwtEvent<RowHoverEvent.Handler>`
      Parameters:
        `handler` - handler
      See Also:
        `EventBus.dispatchEvent(Event, Object)`